#ifndef _MGC_CTL_H
#define _MGC_CTL_H
#include "mgc_struct.h"


void mgc_ctl_num_init(WORD sysId , WORD localIp , WORD peerIp);
BOOL mgc_ctl_is_mg_full(void);
void mgc_ctl_mg_add_one(void);
void mgc_ctl_mg_remove_one(void);
BOOL mgc_ctl_is_chnl_full(void);
void mgc_ctl_chnl_add_one(void);
void mgc_ctl_chnl_remove_one(void);
int mgc_ctl_set_mg_max_num(int num);
int mgc_ctl_set_chnl_max_num(int num);

#endif
